Skip to main content
GET
/
v3
/
products
/
exports
/
{exportId}
Poll export job status
curl --request GET \
  --url https://api.snappy.com/v3/products/exports/{exportId} \
  --header 'X-Api-Key: <api-key>'
{
  "exportId": "exp_abc123",
  "status": "pending"
}

Documentation Index

Fetch the complete documentation index at: https://docs.snappy.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-Api-Key
string
header
required

Partner API key. Finalized per partner integration agreement.

Path Parameters

exportId
string
required

Export job identifier.

Response

Export job status.

exportId
string
required
Example:

"exp_abc123"

status
enum<string>
required
Available options:
pending,
processing,
completed,
failed
format
enum<string>

Included when status is completed.

Available options:
json,
csv
downloadUrl
string<uri>

Signed download URL. Included when status is completed.

expiresAt
string<date-time>

Download URL expiry. Included when status is completed.

error
string

Error message. Included when status is failed.

Last modified on May 15, 2026